:root {
  --vw: 1vw;
  --vh: 1vh;

  --bcgVersionsContainer: rgba(199, 197, 197, 1);
  --bcgDefaultView: rgba(151, 151, 151, 0.75);
  --opaqueWhite: rgba(255, 255, 255, 1);
  --uniformGrey: rgba(168, 168, 168, 1);
  --black: rgba(0, 0, 0, 1);
  --grey85: rgba(217, 217, 217, 1);

  --fontWeightMedium: 500;
  --fontWeightSemiBold: 600;

  --textColor: rgba(0, 0, 0, 1);
  --backGroundColor: rgba(255, 255, 255, 1);
  --linearGradient: linear-gradient(135deg, #ffffff, rgba(231, 231, 231, 0.3), #ffffff);
  --backGroundColorGradient: #ffffff78;

  --versionLinkTextColor: rgba(0, 0, 0, 1);
  --helpTextColor: rgba(0, 0, 0, 1);
  --linkHoverColor: #4287ff;
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
}

a {
  all: unset;
}

html {
  font-size: 100%;
  -webkit-text-size-adjust: 100%;
  font-family: 'Manrope', sans-serif;
}



@media (prefers-color-scheme: dark) {
  :root {
    --textColor: rgba(255, 255, 255, 1);
    --backGroundColor: rgba(0, 0, 0, 1);
    --linearGradient: linear-gradient(135deg, #000000b5, rgba(90, 90, 90, 0.7), #000000b5);
    --backGroundColorGradient: unset;

  }

  .header,
  .footer {
    background-color: var(--backGroundColor);
  }

  .page-container {
    background: var(--linearGradient);
    background-color: unset;
  }
}

.light {
  --textColor: rgba(0, 0, 0, 1);
  --backGroundColor: rgba(255, 255, 255, 1);
  --linearGradient: linear-gradient(135deg, #ffffff, rgba(231, 231, 231, 0.3), #ffffff);
  --backGroundColorGradient: #ffffff78;
}

.dark {
  --textColor: rgba(255, 255, 255, 1);
  --backGroundColor: rgba(0, 0, 0, 1);
  --linearGradient: linear-gradient(135deg, #000000b5, rgba(90, 90, 90, 0.7), #000000b5);
  --backGroundColorGradient: unset;
}

.header,
.footer {
  background-color: var(--backGroundColor);
}

.page-container {
  background: var(--linearGradient);
  background-color: var(--backGroundColorGradient);
}

body {
  height: calc(var(--vh, 1vh) * 100);
  width: 100%;
  display: flex;
  flex-direction: column;
  font-size: 14px;
  overflow: hidden;
  background: #2e2e2e;
  background-image: url('./assets/img/space.svg');
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  line-height: 1;
}

.mascote {
  position: fixed;
  width: 11%;
  bottom: 6%;
  right: 6.5%;
  z-index: 20;
  transition: transform 0.4s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  object-fit: cover;
  transform: scale(1.5) translateX(50px) translateY(1%);
}

.page-container {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
}

.header {
  width: 100%;
  height: 100px;
  display: flex;
  justify-content: space-between;
  padding: 0 2rem;
  align-items: center;
}

.logo {
  width: 136px;
  height: 66px;
  justify-self: center;
}

.logo:hover,
.header-link:hover {
  cursor: pointer;
}

.header__controls {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.header__right-col,
.header__left-col {
  display: flex;
  align-items: center;
}

.heading-first_desktop {
  margin-left: 2rem;
}

.header__right-col {
  justify-content: flex-end;
}

.header-link {
  width: max-content;
  font-weight: var(--fontWeightSemiBold);
  font-size: 1.42rem;
  line-height: 100%;
  letter-spacing: 0;
}

.header-link:not(:first-of-type):not(:last-of-type) {
  margin-left: 1rem;
  margin-right: 1rem;
}



.theme-toggle {
  all: unset;
  margin-left: 1rem;
}

.theme-toggle__icon {
  width: 2rem;
  height: 2rem;
  cursor: pointer;
}

.cabinet-link__icon,
.ecosystem-link__icon {
  height: 30px;
  width: 25px;
}

.ecosystem-link:hover,
.cabinet-link:hover {
  color: var(--linkHoverColor);
}

.heading-first_mobile {
  display: none;
}

section {
  display: flex;
  flex-direction: row;
  height: 100%;
  width: 100%;
  overflow: hidden;
}

.main {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: auto;
  overflow-y: auto;
  outline: none;
}

.main-container {
  width: 100%;
  height: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
  padding: 1px;
  align-items: center;
  justify-content: center;
}

.main_overlay-light {
  background: linear-gradient(135deg, #ffffff, rgba(231, 231, 231, 0.9), #ffffff);
}

.main_overlay-dark {
  background: linear-gradient(135deg, #000000b5, rgba(90, 90, 90, 0.9), #000000b5);
}

.header,
.footer {
  color: var(--textColor);
}

.products-container {
  width: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  row-gap: 3rem;
}

.row {
  display: flex;
  flex: 1;
  justify-content: center;
  column-gap: 3rem;
}

.product {
  width: 100%;
  max-width: 424px;
  height: 280px;
  display: flex;
  position: relative;
  border-radius: 12px;
  overflow-y: auto;
  scroll-behavior: smooth;
  scrollbar-width: none;
  -ms-overflow-style: none;
  pointer-events: auto;
}

.default-view {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px;
  border-radius: 12px;
  background-color: var(--bcgDefaultView);
}

.default-view_laptop {
  color: var(--opaqueWhite);
}

.product__logo {
  width: 141px;
  height: 165px;
  margin-top: 2rem;
  margin-right: 1.5rem;
}

.product__logo_vdi {
  margin-right: unset;
  position: absolute;
  right: 1.5rem;
}

.col-left {
  height: 100%;
  display: flex;
  flex-direction: column;
  flex: 2;
  justify-content: space-around;
  align-items: flex-start;
  padding-left: 1rem;
}

.product__desc {
  height: 145px;
}

.col-right {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  flex: 1;
}

.product__help {
  height: 50px;
  position: absolute;
  left: 92%;
  align-self: flex-end;
  font-size: 1.42rem;
  font-weight: var(--fontWeightSemiBold);
  color: var(--opaqueWhite);
  cursor: pointer;
  z-index: 31;
  pointer-events: auto;
  border-top-right-radius: 12px;
  bottom: 75%;
}

.help-content {
  position: relative;
  display: block;
  width: 100%;
  max-width: 424px;
  height: inherit;
  background: var(--uniformGrey);
  border-radius: 12px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
  pointer-events: auto;
  font-weight: var(--fontWeightMedium);
  font-size: 15px;
  line-height: 1.5em;
  letter-spacing: 1;
  padding: 0 1rem;
  user-select: none;
}

.help-content_text {
  height: inherit;
  padding-top: 2rem;
  color: var(--helpTextColor);
}

.help_mobile-content {
  position: absolute;
  top: 50%;
  transform: translate(0, -50%);
  font-size: 14px;
  line-height: 1.3;
  color: var(--helpTextColor);
  padding-right: 0.5rem;
  padding-left: 0.5rem;
}

.versions-container {
  width: 100%;
  height: 280px;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  position: absolute;
  top: 0;
  background: var(--bcgDefaultView);
  outline: none;
  touch-action: none;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  user-select: none;
}

.version__link {
  width: 100%;
  height: 77px;
  display: none;
  justify-content: space-around;
  align-items: center;
  position: relative;
  font-size: 16px;
  text-align: center;
  text-decoration: none;
  transition: all 0.3s ease;
  line-height: 20px;
  opacity: 0.5;
  pointer-events: none;
  color: var(--versionLinkTextColor);
}

.default-view_mobile,
.help_mobile {
  display: none;
}

.version__link.mobile {
  transition: all .3s ease-in-out .3s;
}

.version__link.active {
  display: block;
  font-size: 28px;
  opacity: 1;
  transform: scale(1);
  cursor: pointer;
  pointer-events: auto;
  background: rgba(217, 217, 217, 1);
  border-radius: 12px;
}

.version__link.adjacent {
  display: block;
  font-size: 24px;
  opacity: 0.8;
  transform: scale(0.8);
  height: 20px;
}

.version__link.distant {
  display: block;
  font-size: 20px;
  opacity: 0.6;
  transform: scale(0.6);
  height: 20px;
}

.top-version {
  margin-top: 77px;
}

.bottom-version {
  margin-bottom: 77px;
}

.product__heading_mobile {
  width: max-content;
  padding-top: 1rem;
  font-size: 40px;
  line-height: 1;
}

.footer {
  height: 4rem;
  display: flex;
  align-items: center;
  padding-left: 6rem;
  font-weight: var(--fontWeightSemiBold);
  line-height: 100%;
  letter-spacing: 0;
}


.none {
  display: none;
}


.close-button {
  position: absolute;
  right: 1rem;
  width: 24px;
  height: 24px;
  margin-top: 5px;
  background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path d="M6 6L18 18M6 18L18 6" stroke="white" stroke-width="2" stroke-linecap="round"/></svg>');
  border: none;
  background-color: transparent;
  cursor: pointer;
}

.help_mobile {
  height: 100%;
  position: relative;
  background: var(--bcgVersionsContainer);
  font-weight: var(--fontWeightMedium);
  font-size: 15px;
  line-height: 100%;
  letter-spacing: 0;
  border-radius: 12px;
  overflow: auto;
  outline: none;
}

.choose-version-button,
.about-product-button {
  width: max-content;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 15px 15px;
  border-radius: 6px;
  background: rgba(93, 141, 196, 1);
}

.row_first .choose-version-button {
  margin-top: 4rem;
}

.row_second .choose-version-button {
  margin-top: 2rem;
}

.about-product-button {
  margin-top: 1rem;
}

/* full hd */
@media(max-width: 1920px) {
  body {
    background-size: contain;
    background-repeat: repeat;
  }

  .products-container {
    padding: 0 1rem;
  }

  .default-view_mobile {
    display: none;
  }

  .help_mobile {
    display: none;
  }
}

/* large devices */
@media(max-width: 1200px) {

  .logo,
  .heading-first_desktop,
  .header-link,
  .default-view_laptop,
  .product__help {
    display: none;
  }

  .heading-first_mobile,
  .ecosystem-link_mobile,
  .cabinet-link_mobile {
    display: block;
  }

  .default-view_mobile {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    font-weight: var(--fontWeightSemiBold);
    font-size: 22px;
    line-height: 20px;
    letter-spacing: 0;
    color: var(--opaqueWhite);
    background-color: var(--bcgDefaultView);
    border-radius: 12px;
    outline: none;
  }

  .versions-container {
    width: 100%;
    border-radius: 12px;
  }

  .default-view__controls {
    display: flex;
    flex-direction: column;
    flex: 3;
    justify-content: flex-start;
    padding-left: 1rem;
  }

  .products-container {
    height: 100%;
    scrollbar-width: none;
    -ms-overflow-style: none;
    flex-wrap: nowrap;
    padding-top: 2rem;
  }

  .row {
    flex-direction: column;
    align-items: center;
    row-gap: 5rem;
  }

  .product__logo_mobile {
    position: absolute;
    width: 120px;
    height: 140px;
    top: 33%;
    right: 0;
  }

  .choose-version-button,
  .about-product-button {
    width: max-content;
  }

  .help_mobile {
    width: 100%;
    height: 100%;
  }

  .close {
    width: 2rem;
    height: 2rem;
    position: absolute;
    top: 0.3rem;
    right: 1rem;
    color: var(--black);
  }

  .close:before,
  .close:after {
    position: absolute;
    left: 15px;
    content: ' ';
    height: 33px;
    width: 2px;
    background-color: #333;
  }

  .close:before {
    transform: rotate(45deg);
  }

  .close:after {
    transform: rotate(-45deg);
  }
}

@media (max-width: 1800px) {
  .mascote {
    display: none;
  }

  .product__desc_vdi {
    hyphens: auto;
  }

  .row {
    column-gap: 2rem;
  }
}

@media (max-width: 1600px) {

  .row {
    flex-direction: column;
    align-items: center;
    row-gap: 30px;
    justify-content: unset;
  }

  .products-container {
    height: 100%;
    overflow-y: scroll;
    padding: 30px 0;
  }
}

/* medium devices - tablets */
@media (max-width: 992px) {
  .main-container {
    justify-content: unset;
  }

  .row {
    flex-direction: column;
    align-items: center;
  }
}

/* landscape phones */
@media (max-width: 768px) {
  .header {
    height: 60px;
  }

  .main {
    padding: 0 20px;
  }

  .main-container {
    padding: 0 2rem;
  }

  .row {
    row-gap: 2rem;
  }

  .footer {
    height: 60px;
  }
}

/* portrait phones */
@media (max-width: 576px) {

  .page-container,
  .main {
    height: calc(var(--vh, 1vh) * 100);
  }

  .main {
    padding: unset;
    overflow-y: auto;
  }

  .products-container {
    flex-direction: column;
    flex-shrink: 0;
    overflow-x: hidden;
    padding: 0 20px;
  }

  .row_first {
    padding-top: 36px;
  }

  .row_second {
    padding-bottom: 36px;
  }

  .header {
    height: 60px;
    padding: 0 1rem;
  }

  .header__controls {
    flex: unset;
    column-gap: unset;
  }

  .default-view_mobile {
    width: 100%;
  }

  .heading-first_mobile {
    font-size: 22px;
  }

  .theme-toggle__icon {
    width: 16px;
  }

  .versions-container {
    width: 100%;
  }

  .help_mobile {
    width: 100%;
  }

  .about-product-button {
    margin-bottom: 2rem;
  }

  .footer {
    height: 60px;
    padding-left: 1rem;
  }
}



/* x-small portrait phones */
@media (max-width: 376px) {}

.none {
  display: none;
}

.flex {
  display: flex;
}

.product_transparent {
  opacity: 0.2;
  pointer-events: none;
}

.pointerNone {
  pointer-events: none;
}

.hidden {
  visibility: hidden;
}

.visible {
  visibility: visible;
}